Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Class EventDefinition

    java.lang.Object
      |
      +--com.bea.wlai.common.EventDefinition

public class EventDefinition
extends java.lang.Object
implements IEventDefinition

Defines an event type (a business occurrence) in terms of a document type, and a set of implementation specific properties.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`EventDefinition()`

Method Summary
`IEvent` | `createDefaultEvent()`
`void` | `createDefaultEvent(IEvent event)`
`boolean` | `equals(java.lang.Object obj)` Compares the current EventDefinition to another object.
`void` | `fromXML(java.lang.String xml)` Parse an XML string representing an event definition.
`java.lang.String` | `getDescription()` Get the description for this event definition.
`java.lang.String` | `getName()` Get the name for this event definition.
`java.lang.String` | `getPayloadRootElementName()` Get the root element name for payload for this event definition.
`SOMSchema` | `getPayloadSchema()` Get the schema for the payload document.
`java.lang.String` | `getPayloadSchemaName()` Get the name of the document schema for payload for this event definition.
`java.util.Map` | `getPropertySet()` Get the properties (name/value pairs) for this event.
`int` | `hashCode()` Compute the hash value for this EventDefinition.
`static void` | `main(java.lang.String[] args)`
`void` | `setDescription(java.lang.String description)` Set the description for this event definition;
`void` | `setName(java.lang.String name)` Set the name for this event definition;
`void` | `setPayloadRootElementName(java.lang.String rootElementName)` Set the root element name for the payload for this event definition.
`void` | `setPayloadSchema(SOMSchema schema)` Set the schema for the payload document.
`void` | `setPayloadSchemaName(java.lang.String schemaName)` Set the name of the document schema for payload for this event definition.
`void` | `setPropertySet(java.util.Map props)` Set the properties (name/value pairs) for this service.
`java.lang.String` | `toXML()` Get an XML string representing this event definition.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventDefinition

    public EventDefinition()

Method Detail

### getName

    public java.lang.String getName()

  Get the name for this event definition.
  Specified by:
    getName in interface IEventDefinition

### setName

    public void setName(java.lang.String name)

  Set the name for this event definition;
  Specified by:
    setName in interface IEventDefinition

### getDescription

    public java.lang.String getDescription()

  Get the description for this event definition.
  Specified by:
    getDescription in interface IEventDefinition

### setDescription

    public void setDescription(java.lang.String description)

  Set the description for this event definition;
  Specified by:
    setDescription in interface IEventDefinition

### getPayloadSchema

    public SOMSchema getPayloadSchema()

  Get the schema for the payload document.
  Specified by:
    getPayloadSchema in interface IEventDefinition

### setPayloadSchema

    public void setPayloadSchema(SOMSchema schema)

  Set the schema for the payload document.
  Specified by:
    setPayloadSchema in interface IEventDefinition

### createDefaultEvent

    public IEvent createDefaultEvent()
                              throws java.lang.Exception

  Specified by:
    createDefaultEvent in interface IEventDefinition

### createDefaultEvent

    public void createDefaultEvent(IEvent event)
                            throws java.lang.Exception

  Specified by:
    createDefaultEvent in interface IEventDefinition

### getPropertySet

    public java.util.Map getPropertySet()

  Get the properties (name/value pairs) for this event. These properties describe the metadata needed by the implementer of the event, and are opaque to any outside consumer.
  Specified by:
    getPropertySet in interface IEventDefinition

### setPropertySet

    public void setPropertySet(java.util.Map props)

  Set the properties (name/value pairs) for this service. These properties describe the metadata needed by the implementer of the event, and are opaque to any outside consumer.
  Specified by:
    setPropertySet in interface IEventDefinition

### getPayloadSchemaName

    public java.lang.String getPayloadSchemaName()

  Get the name of the document schema for payload for this event definition.
  Specified by:
    getPayloadSchemaName in interface IEventDefinition

### setPayloadSchemaName

    public void setPayloadSchemaName(java.lang.String schemaName)

  Set the name of the document schema for payload for this event definition.
  Specified by:
    setPayloadSchemaName in interface IEventDefinition

### getPayloadRootElementName

    public java.lang.String getPayloadRootElementName()

  Get the root element name for payload for this event definition.
  Specified by:
    getPayloadRootElementName in interface IEventDefinition

### setPayloadRootElementName

    public void setPayloadRootElementName(java.lang.String rootElementName)

  Set the root element name for the payload for this event definition.
  Specified by:
    setPayloadRootElementName in interface IEventDefinition

### toXML

    public java.lang.String toXML()
                           throws DocumentException

  Get an XML string representing this event definition. The schema is referred to by name, and it not include inline in the returned XML.
  Specified by:
    toXML in interface IEventDefinition

### fromXML

    public void fromXML(java.lang.String xml)
                 throws DocumentParseException,
                        DocumentException

  Parse an XML string representing an event definition. The schema is referred to by name, and is not include inline in the returned XML.
  Specified by:
    fromXML in interface IEventDefinition

  Throws:
    DocumentParseException - if the xml cannot be parsed.
    DocumentException - if an error occurs while processing the xml.

### equals

    public boolean equals(java.lang.Object obj)

  Compares the current EventDefinition to another object. This method returns true only when the object is an instanceof EventDefinition, and when its property set, schema name, and root element name are equal.

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Compute the hash value for this EventDefinition. This is a sum of the hash values for the payload schema name, payload root element name, and property set.

  Overrides:
    hashCode in class java.lang.Object

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)